Flow Run Logs

List Flow Runs

get

Retrieves a paginated list of flow runs. Can be filtered by user_id, flow_id, flow_version_id, virtual_environment_id, trigger, status, date range, and other criteria.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Query parameters
filter[user_id]stringOptional

Filter results by user_id.

filter[flow_id]stringOptional

Filter results by flow_id.

filter[flow_version_id]stringOptional

Filter results by flow_version_id.

filter[virtual_environment_id]stringOptional

Filter results by virtual_environment_id.

filter[trigger]stringOptional

Filter results by trigger.

filter[status]stringOptional

Filter results by status.

filter[search]stringOptional

Filter results by search.

filter[started_before]stringOptional

Filter results to flow runs that started before the specified time. Accepts a Unix timestamp in milliseconds, e.g. 2026-03-01 19:00 converts to 1772391627000 so 1772391627000 is the parameter value.

filter[started_after]stringOptional

Filter results to flow runs that started after the specified time. Accepts a Unix timestamp in milliseconds.

filter[started_on]stringOptional

Filter results to flow runs that started on the specified date. Accepts a Unix timestamp in milliseconds.

filter[retried]stringOptional

Filter results by retried.

filter[has_warnings]stringOptional

Filter results by has_warnings.

includestringOptional

Comma-separated list of relationships to include. Available: flowVersion, flowVersion.steps, flow, flowRunLogs, errorWarningLogs, flowRunLogs.flowStep, trackedData, metrics, cpuTime, payloadSize, operationsSent, operationsReceived, retriedFlowRun, virtualEnvironmentVersion, virtualEnvironmentVersion.virtualEnvironment

sortstringOptional

Sort field. Prefix with - for descending. Available: started_at

fields[trackedData]stringOptional

Comma-separated list of trackedData fields to return. Available: id

fields[flow]stringOptional

Comma-separated list of flow fields to return. Available: id, name

fields[flowVersion]stringOptional

Comma-separated list of flowVersion fields to return. Available: steps.name

fields[retriedFlowRun]stringOptional

Comma-separated list of retriedFlowRun fields to return. Available: id, status

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/flow-runs

Get Flow Run

get

Retrieves the details of a specific flow run.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flow_runstringRequired

The flow run identifier.

Query parameters
filter[user_id]stringOptional

Filter results by user_id.

filter[flow_id]stringOptional

Filter results by flow_id.

filter[flow_version_id]stringOptional

Filter results by flow_version_id.

filter[virtual_environment_id]stringOptional

Filter results by virtual_environment_id.

filter[trigger]stringOptional

Filter results by trigger.

filter[status]stringOptional

Filter results by status.

filter[search]stringOptional

Filter results by search.

filter[started_before]stringOptional

Filter results to flow runs that started before the specified time. Accepts a Unix timestamp in milliseconds, e.g. 2026-03-01 19:00 converts to 1772391627000 so 1772391627000 is the parameter value.

filter[started_after]stringOptional

Filter results to flow runs that started after the specified time. Accepts a Unix timestamp in milliseconds.

filter[started_on]stringOptional

Filter results to flow runs that started on the specified date. Accepts a Unix timestamp in milliseconds.

filter[retried]stringOptional

Filter results by retried.

filter[has_warnings]stringOptional

Filter results by has_warnings.

includestringOptional

Comma-separated list of relationships to include. Available: flowVersion, flowVersion.steps, flow, flowRunLogs, errorWarningLogs, flowRunLogs.flowStep, trackedData, metrics, cpuTime, payloadSize, operationsSent, operationsReceived, retriedFlowRun, virtualEnvironmentVersion, virtualEnvironmentVersion.virtualEnvironment

sortstringOptional

Sort field. Prefix with - for descending. Available: started_at

fields[trackedData]stringOptional

Comma-separated list of trackedData fields to return. Available: id

fields[flow]stringOptional

Comma-separated list of flow fields to return. Available: id, name

fields[flowVersion]stringOptional

Comma-separated list of flowVersion fields to return. Available: steps.name

fields[retriedFlowRun]stringOptional

Comma-separated list of retriedFlowRun fields to return. Available: id, status

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/flow-runs/{flow_run}

Download Run Logs

get

Queues a download of the detailed logs for a specific flow run. The downloaded file is added to the File Downloads section in General Settings.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flow_runstringRequired

The flow run identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
get
/api/v1/flow-runs/{flow_run}/download

List Run Logs

get

Retrieves a paginated list of logs for a specific flow run. Can be filtered by flow_step_id.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flow_runstringRequired

The flow run identifier.

Query parameters
filter[flow_step_id]stringOptional

Filter results by flow_step_id.

includestringOptional

Comma-separated list of relationships to include. Available: flowRun, flowStep, flowRunLogMetadata, flowRunLogPayloads, flowStep.payloads

fields[flowStep]stringOptional

Comma-separated list of flowStep fields to return. Available: id, name, payload.id

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/flow-runs/{flow_run}/flow-run-logs

Get Run Log

get

Retrieves the details of a specific flow run log.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flow_runstringRequired

The flow run identifier.

flow_run_logstringRequired

The flow run log identifier.

Query parameters
filter[flow_step_id]stringOptional

Filter results by flow_step_id.

includestringOptional

Comma-separated list of relationships to include. Available: flowRun, flowStep, flowRunLogMetadata, flowRunLogPayloads, flowStep.payloads

fields[flowStep]stringOptional

Comma-separated list of flowStep fields to return. Available: id, name, payload.id

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/flow-runs/{flow_run}/flow-run-logs/{flow_run_log}

Retry Flow Run

post

Retries a specific flow run.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flow_runstringRequired

The flow run identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/flow-runs/{flow_run}/retry

Stop Flow Run

post

Stops a specific flow run that is currently in progress.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flow_runstringRequired

The flow run identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/flow-runs/{flow_run}/stop

Last updated

Was this helpful?